/*
 * Simple Processing to Csound patch using OSC
 * RW 09
 */
 
import oscP5.*;
import netP5.*;
  
OscP5 oscP5;
NetAddress myRemoteLocation;
OscMessage myMessage;
 
int num = 60;
float mx[] = new float[num];
float my[] = new float[num];

void setup() {
  size(400,400);
  frameRate(25);
  oscP5 = new OscP5(this, 12000);
  myRemoteLocation = new NetAddress("127.0.0.1", 12000);
  myMessage = new OscMessage("/coordinates");
  smooth();
}


void draw() {
  background(51); 
  // Reads throught the entire array
  // and shifts the values to the left
  for(int i=1; i<num; i++) {
    mx[i-1] = mx[i];
    my[i-1] = my[i];
  } 
  // Add the new values to the end of the array
  mx[num-1] = mouseX;
  my[num-1] = mouseY;
  
  for(int i=0; i<num; i++) {
    fill((mouseY/400.f)*255, (mouseX/400.f)*255, 34);
    ellipse(mx[i], my[i], i/2, i/2);    
  }  
  
  myMessage.add(mouseX); 
  myMessage.add(mouseY); 
  oscP5.send(myMessage, myRemoteLocation); 
 //reset messages 
  myMessage.clearArguments();
}

